.pricing-card {
	flex: 1 0 auto;
	display: flex;
	flex-direction: column;
	position: relative;
	padding: 1.5em;
	box-shadow: 0 0 7px 0 rgb(77 109 230 / 35%);
	border-radius: var(--border-radius);
	overflow: hidden;

	& > .wp-block-group__inner-container {
		display: flex;
		flex-direction: column;
		flex: 1 0 auto;
	}

	& .wp-block-buttons {
		margin-top: auto;
	}
}

.pricing-card__header {
	& .wp-block-group__inner-container {
		padding-right: 60px;
	}
}

.pricing-card__list {
	margin-top: var(--element-space);

	& li {
		margin-top: 0.5em;
		padding-top: 0.5em;
		border-top: 1px solid var(--border);

		&:first-child {
			margin-top: 0;
			padding-top: 0;
			border-top: 0;
		}
	}
}

.pricing-card__badge.has-background {
	position: absolute;
	right: -40px;
	padding: 5px 40px;
	transform: rotate(90deg);
	z-index: 1;

	&::after {
		content: '';
		position: absolute;
		right: -9px;
		bottom: 8px;
		border-left: 15px solid transparent;
		border-right: 15px solid transparent;
		border-top: 15px solid var(--white);
		transform: rotate(90deg);
		z-index: 2;
	}
}
